import React from 'react';
import {FormattedMessage} from 'react-intl';

import iCarIconURL from './iCar/iCar.png';
import iCarInsertIconURL from './iCar/iCar-small.png';


export default [
    {
        name: 'iCar',
        extensionId: 'iCar',
        collaborator: 'Kernel Software Engineering',
        iconURL: iCarIconURL,
        insetIconURL: iCarInsertIconURL,
        description: (
            <FormattedMessage
                defaultMessage="iCar"
                description="Description for the 'iCar' extension"
                id="gui.extension.iCar.description"
            />
        ),
        featured: true,
        bluetoothRequired: true,
        internetConnectionRequired: true,
        launchPeripheralConnectionFlow: true,
        useAutoScan: false,
        connectionIconURL: iCarIconURL,
        connectionSmallIconURL: iCarInsertIconURL,
        connectingMessage: (
            <FormattedMessage
                defaultMessage="接続中..."
                description=""
                id="gui.extension.iCar.connectingMessage"
            />
        )
    }
];
